# Chevereto Generated on 26 Mar 2024 from [the Chevereto catalog page](https://marketplace.digitalocean.com/apps/chevereto) > 🔔 [Subscribe](https://newsletter.chevereto.com/subscription?f=PmL892XuTdfErVq763PCycJQrvZ8PYc9JbsVUttqiPV1zXt6DDtf7lhepEStqE8LhGs8922ZYmGT7CYjMH5uSx23pL6Q) to don’t miss any update regarding Chevereto. [![Chevereto](https://github.com/chevereto/chevereto/raw/4.0/chevereto.svg)](https://chevereto.com) [![CHUISS](https://github.com/chevereto/chevereto/blob/4.0/.github/banner/chevereto-ultimate-remix.png?raw=true)](https://chevereto.com) Chevereto is a self-hosted multipurpose multi-user, full-featured image sharing solution. It can be used to create a myriad of applications or to empower existing systems, all around the concept of users sharing image content. ## Overview This is the Chevereto DigitalOcean Marketplace application, it provides Chevereto ready to be one-click installed. ## Software Included | Package | Version | License | |---|---|---| | [Chevereto](https://github.com/chevereto/chevereto) | [4](https://releases.chevereto.com/4.X/) | [AGPL-3.0](https://github.com/chevereto/chevereto/blob/master/LICENSE) | | [PHP](https://php.net) | [8.2](https://www.php.net/downloads) | [PHP v3.01](http://www.php.net/license/3_01.txt) | | [Apache HTTP Server](https://httpd.apache.org/) | [2.4.58](https://packages.ubuntu.com/jammy/apache2) | [Apache-2.0](https://www.apache.org/licenses/) | | [Certbot](https://certbot.eff.org/) | [1.21.0](https://packages.ubuntu.com/jammy/python3-certbot-apache) | [Apache-2.0](https://github.com/certbot/certbot/blob/master/LICENSE.txt) | ## Creating an App using the Control Panel Click the **Deploy to DigitalOcean** button to create a Droplet based on this 1-Click App. If you aren’t logged in, this link will prompt you to log in with your DigitalOcean account. [![Deploy to DO](https://www.deploytodo.com/do-btn-blue.svg)](https://cloud.digitalocean.com/droplets/new?image=chevereto-20-04) ## Creating an App using the API In addition to creating a Droplet from the Chevereto 1-Click App using the control panel, you can also use the [DigitalOcean API](https://docs.digitalocean.com/reference/api). As an example, to create a 4GB Chevereto Droplet in the SFO2 region, you can use the following `curl` command. You need to either save your [API access token](https://docs.digitalocean.com/reference/api/create-personal-access-token/index.html.md) to an environment variable or substitute it in the command below. ```shell curl -X POST -H 'Content-Type: application/json' \ -H 'Authorization: Bearer '$TOKEN'' -d \ '{"name":"choose_a_name","region":"sfo2","size":"s-2vcpu-4gb","image":"chevereto-20-04"}' \ "https://api.digitalocean.com/v2/droplets" ``` ## Getting Started After Deploying Chevereto **In addition to the package installation, this one-click deploy also** - Enables the UFW firewall to allow only SSH (port 22, rate limited), HTTP (port 80), and HTTPS (port 443) access. - Sets the MySQL root password. - Sets up the debian-sys-maint user in MySQL so the system’s init scripts for MySQL will work without requiring the MySQL root user password. - Sets the cron required for background tasks. - Resolves Cloudflare IP addresses. ## Chevereto Server Details Chevereto will be available at this URL: [http://your\_droplet\_public\_ipv4](http://your_droplet_public_ipv4) This is an Apache HTTP server based provisioning. PHP runs with `mod_php` using `mpm_prefork`. You can run Chevereto under any configuration, check our [documentation](https://chv.to/docs) for more information. ## Credentials The database credentials are at the configuration file at `/var/www/html/app/env.php`. ## Extra-steps - Provide HTTPS. ``` certbot --apache -d example.com -d www.example.com ``` - Disable non-HTTPS access. ``` ufw delete allow 80/tcp ``` - Secure MySQL. ``` mysql_secure_installation ``` ## Updates Chevereto can update itself, simply open [http://your\_droplet\_public\_ipv4/dashboard](http://your_droplet_public_ipv4/dashboard) and click “check for updates” button.